package rest

import (
	"git.nspix.com/golang/micro/gateway/http"
	"gorm.io/gorm"
)

type Hook interface {
	HookAfterCreate(ctx *http.Context, tx *gorm.DB, pkVal interface{}, model interface{}, attributes []*DiffAttr)
	HookAfterUpdate(ctx *http.Context, tx *gorm.DB, pkVal interface{}, model interface{}, changedAttributes []*DiffAttr)
}
